ifdef AGAINST_SRC
HANDS_ON_DIR=/home/$(shell whoami)/kernel-module-hands-on
KROOT=$(HANDS_ON_DIR)/kbuild
MODDIR=$(HANDS_ON_DIR)/modules
else
KROOT=/lib/modules/`uname -r`/build
MODDIR=/
endif

obj-m += lab1-platform-device.o
ccflags-y += -DDEBUG

all: modules
modules:
	@$(MAKE) -C $(KROOT) M=$(shell pwd) modules
modules_install:
	@$(MAKE) -C $(KROOT) M=$(shell pwd) INSTALL_MOD_PATH=$(MODDIR) modules_install
clean:
	@$(MAKE) -C $(KROOT) M=$(shell pwd) clean
